/*This SQL script uses the Demo database.

  This example illustrates use of LEFT JOIN action. 
  This query retrieves all event names and places 
  where they happen. Venue is attached to event name
  if value of field "VenueNo" is equal in both tables.
  If there is no corresponding venue for event, then 
  NULL is placed beside it.*/

select Event_Name, Venue
from Events e left join Venues v on e.VenueNo = v.VenueNo
order by Event_Name, Venue
